#ifndef SINGLEDOMAINMANAGEWIDGET_H
#define SINGLEDOMAINMANAGEWIDGET_H

#include <Wt/WContainerWidget> //WContainerWidget
#include <Wt/WHBoxLayout> //WHBoxLayout
#include <QStringList> //QStringList
#include <QProcess> //QProcess

using namespace Wt; //WContainerWidget

class SingleDomainManageWidget :public QObject,public WContainerWidget
{
    Q_OBJECT
public:
    SingleDomainManageWidget(); //!<构造函数。
    void SetDomainName(WString DomainName2Set); //!<设置要管理的域名。
    Signal<> HostProcessFinished; //!<host命令的进程结束咯。

private:
    WScrollArea * TxtScrollArea; //!<文本记录的滚动区域。
    WPushButton * TxtNewPushButton; //!<文本记录的新增按钮。
    WTable * TxtTable; //!<文本记录的表格。
    WVBoxLayout * TxtLayout; //!<文本记录的布局器。
    QProcess HostProcess; //!<用来运行host命令的进程对象。
    WHBoxLayout * DomainNameLayout; //!<域名及解释性标签的布局器。
    WLabel * ResolveManageLabel; //!<“解析管理”解释性标签。
    WVBoxLayout * SingleDomainManageLayout; //!<“单条解析”的布局管理器。
    WString DomainName; //!<域名。
    WLabel * DomainNameLabel; //!<用来显示域名的标签。
    WGroupBox * TxtGroupBox; //!<文本记录的分组框。
    void RunHost(); //!<启动host命令。
    void EmitASignal(); //!<Debug.

private Q_SLOTS:
    void HostProcessFinishedA(); //!<Debug.
    void ParseHostResult(); //!<分析host命令输出的结果。
    void ShouldParseHostResult(); //!<告诉wt要发送信号使程序开始分析host命令输出的结果。

Q_SIGNALS:
    void ASignal(); //!<Debug.
}; //class SingleDomainManageWidget : public WContainerWidget

#endif // SINGLEDOMAINMANAGEWIDGET_H
